Bug 364801 - kbluemon crashes
kbluemon crashes
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kdebluetooth (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Gilboa Davara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-02 17:55 EDT by Juha Tuomala
Modified: 2008-09-25 13:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-08 04:43:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 150564 None None None Never

  None (edit)
Description Juha Tuomala 2007-11-02 17:55:17 EDT
Description of problem:

Clicked 'periodic scan' and 'discover remote services' checkboxes,
it hangs and then crashes.

Version-Release number of selected component (if applicable):

0.34.beta8.fc8

How reproducible:

not always.

Steps to Reproduce:
1.
2.
3.
  
Actual results:

Using host libthread_db library "/lib64/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread 46912496361408 (LWP 1876)]
[KCrash handler]
#5  Monitor::newdev (this=0x7fff73363470, name=@0x7b6700, 
    dev_class=<value optimized out>, rssi=<value optimized out>)
    at /usr/lib64/qt-3.3/include/qvaluevector.h:479
#6  0x000000000040da1c in Monitor::qt_invoke (this=0x7fff73363470, _id=53, 
    _o=0x7fff73362a50) at monitor.moc:123
#7  0x0000003446563a59 in QObject::activate_signal ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#8  0x0000003249c2a906 in KBluetooth::Adapter::remoteDeviceFound (
    this=<value optimized out>, t0=<value optimized out>, 
    t1=<value optimized out>, t2=0) at adapter.moc:324
#9  0x0000003249c33890 in KBluetooth::Adapter::filterFunctionAd (msg=0x702f60)
    at adapter.cpp:556
#10 0x0000003acda0e300 in dbus_connection_dispatch ()
   from /lib64/libdbus-1.so.3
#11 0x0000003acce0b040 in DBusQt::Connection::dispatchRead ()
   from /usr/lib64/libdbus-qt-1.so.1
#12 0x0000003acce0b76f in DBusQt::Connection::qt_invoke ()
   from /usr/lib64/libdbus-qt-1.so.1
#13 0x0000003446563a59 in QObject::activate_signal ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#14 0x0000003446564730 in QObject::activate_signal ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#15 0x0000003acce0be46 in DBusQt::Internal::Integrator::slotRead ()
   from /usr/lib64/libdbus-qt-1.so.1
#16 0x0000003acce0beae in DBusQt::Internal::Integrator::qt_invoke ()
   from /usr/lib64/libdbus-qt-1.so.1
#17 0x0000003446563a59 in QObject::activate_signal ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#18 0x00000034465645d8 in QObject::activate_signal ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#19 0x0000003446580e9b in QSocketNotifier::event ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#20 0x00000034465029a5 in QApplication::internalNotify ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#21 0x0000003446503c70 in QApplication::notify ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#22 0x00000034477c3678 in KApplication::notify (this=0x7fff73363850, 
    receiver=0x7034a0, event=0x7fff73363200) at kapplication.cpp:550
#23 0x00000034464f7589 in QEventLoop::activateSocketNotifiers ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#24 0x00000034464b0eee in QEventLoop::processEvents ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#25 0x000000344651a151 in QEventLoop::enterLoop ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#26 0x00000034466e5f6b in QDialog::exec ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#27 0x000000000040ac37 in main (argc=1, argv=<value optimized out>)
    at main.cpp:69
#28 0x0000003ac081e074 in __libc_start_main () from /lib64/libc.so.6
#29 0x0000000000406d09 in _start ()

Expected results:


Additional info:
Comment 1 Juha Tuomala 2007-11-03 06:59:32 EDT
Are those checkboxes supposed to stay checked? They won't in my machine.
Comment 2 Ville Skyttä 2007-11-03 08:21:13 EDT
I can't reproduce the crash on F-7 x86_64.

If you mean the checkboxes won't stay checked between closing a kbluemon where
they were checked and opening a new one, I can confirm that.
Comment 3 Juha Tuomala 2007-11-03 08:39:27 EDT
Yep, that's what i meant.
Comment 4 Gilboa Davara 2007-11-03 17:57:53 EDT
I see the same. I'd venture and guess that "Periodic scan" and "Discover remote
services" are either unimplemented or simply broken.

I'll look at the code later tomorrow.

- Gilboa 
Comment 5 Juha Tuomala 2007-11-12 14:52:52 EST
Gilboa, did you have time to look at this? I've all f8 updates in and it still 
looks bit shaky, although haven't been able to logout-login for a while...
Comment 6 Gilboa Davara 2007-11-14 09:38:34 EST
Sorry for the late reply.

I did look at it.
AFAICS both "Periodic Scan" and "Discover Remote Services" are fully (?)
implemented.

I'll report it upstream and post a link here.

- Gilboa
Comment 7 Gilboa Davara 2007-11-14 09:50:30 EST
Known issue.
Unassigned (yet?)

https://bugs.kde.org/show_bug.cgi?id=150564
Comment 8 Juha Tuomala 2008-05-06 10:39:05 EDT
When selection those boxes, it does hang for a while but actually works now.

this is rawhide, kdebluetooth-1.0-0.41.beta8.fc9.i386

i think this should be closed to NEXTRELEASE once the f9 is out.
Comment 9 Gilboa Davara 2008-05-08 04:43:04 EDT
I'm hesitant to call anything within kdebluetooth-on-F9 fixed right now. (It's
almost completely broken on my machine).
Keeping the bug open, for now.

- Gilboa
Comment 10 Gilboa Davara 2008-09-20 18:24:14 EDT
kdebluetooth4 0.2 has been pushed to updates-testing. Let me know how it works.

- Gilboa
Comment 11 Juha Tuomala 2008-09-21 06:29:20 EDT
this bug is against f8 which i don't have anymore and cannot test it either.
Comment 12 Gilboa Davara 2008-09-25 13:01:53 EDT
... My apologies.
I was about to say:
kdebluetooth4 was released as an update for Fedora 9. You should consider testing it (if you're using Fedora 9, that is), because, as it seems, kdebluetooth 3.5.x is no longer maintained.

- Gilboa

Note You need to log in before you can comment on or make changes to this bug.